#!/bin/sh

set -e
#set -x

. /usr/share/debconf/confmodule

db_register openerp-server/password openerp6-server/password
db_subst openerp6-server/password VER 6.0
db_input high openerp6-server/password || true
db_go
db_get openerp6-server/password
if [ -z "${RET}" ]; then
    db_set openerp6-server/password `env LANG=C LC_ALL=C tr -dc "[:alnum:]" < /dev/urandom | dd bs=1 count=12 2>/dev/null`
fi

if [ -f /usr/share/dbconfig-common/dpkg/config.pgsql ]; then
	. /usr/share/dbconfig-common/dpkg/config.pgsql
	dbc_go openerp6 $@
fi
